Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.model
Class ValueHolder

A simple ValueModel implementation which is a holder of an object value. Used to share local variables with closures

author:
  James Strachan

version:
  $Revision: 7922 $

Field Summary
`boolean` | `editable`
`PropertyChangeSupport` | `propertyChangeSupport`
`Class` | `type`
`Object` | `value`

Constructor Summary
`ValueHolder()`
`ValueHolder(Class type)`
`ValueHolder(Object value)`

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener listener)` Add a PropertyChangeListener to the listener list.
`Class` | `getType()`
`Object` | `getValue()`
`boolean` | `isEditable()`
`void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a PropertyChangeListener from the listener list.
`void` | `setEditable(boolean editable)`
`void` | `setValue(Object value)`

Constructor Detail

### ValueHolder

    public ValueHolder()

### ValueHolder

    public ValueHolder(Class type)

### ValueHolder

    public ValueHolder(Object value)

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener listener)

  Add a PropertyChangeListener to the listener list.
  param:
    listener The listener to add.

### getType

    public Class getType()

### getValue

    public Object getValue()

### isEditable

    public boolean isEditable()

### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener listener)

  Removes a PropertyChangeListener from the listener list.
  param:
    listener The listener to remove.

### setEditable

    public void setEditable(boolean editable)

### setValue

    public void setValue(Object value)